AppdefGroupPagerFilterGrpTypeExclude (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.appdef.shared.pager.AppdefGroupPagerFilterGrpTypeExclude class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.appdef.shared.pager
Class AppdefGroupPagerFilterGrpTypeExclude

    java.lang.Object
      org.hyperic.hq.appdef.shared.pager.AppdefGroupPagerFilterGrpTypeExclude

All Implemented Interfaces:
  AppdefPagerFilter

    public class AppdefGroupPagerFilterGrpTypeExclude

extends java.lang.Object
implements AppdefPagerFilter

A filter employed by the AppdefGroupPagerProcessor. It operates during the paging process and returns a flag based on whether or not an AppdefGroupValue's type evaluates to the specified group type.

Constructor Summary
`AppdefGroupPagerFilterGrpTypeExclude(int groupType)`
`AppdefGroupPagerFilterGrpTypeExclude(int groupType, boolean negate)`

Method Summary
`int` | `getFilterCount()` Fetch the number of objects that were successfully caught by the filter -- either inclusively or exclusively
`boolean` | `isCaught(java.lang.Object id)` Evaluate an object against the filter.
`boolean` | `isExclusive()` Is this filer set to exclude resources that match the filter.
`protected boolean` | `matchesGroup(AppdefGroupValue groupVo)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AppdefGroupPagerFilterGrpTypeExclude

    public AppdefGroupPagerFilterGrpTypeExclude(int groupType)

### AppdefGroupPagerFilterGrpTypeExclude

    public AppdefGroupPagerFilterGrpTypeExclude(int groupType,
                                                boolean negate)

Method Detail

### getFilterCount

    public int getFilterCount()

  Description copied from interface: `AppdefPagerFilter`
  Fetch the number of objects that were successfully caught by the filter -- either inclusively or exclusively

  Specified by:
    `getFilterCount` in interface `AppdefPagerFilter`

### isExclusive

    public boolean isExclusive()

  Description copied from interface: `AppdefPagerFilter`
  Is this filer set to exclude resources that match the filter. If exclude==false, this would imply an inclusive filter.

  Specified by:
    `isExclusive` in interface `AppdefPagerFilter`

### isCaught

    public boolean isCaught(java.lang.Object id)

  Evaluate an object against the filter.

  Specified by:
    `isCaught` in interface `AppdefPagerFilter`
  Parameters:
    `object` - instance of AppdefGroupValue
  Returns:
    flag - true if caught (unless negated)

### matchesGroup

    protected boolean matchesGroup(AppdefGroupValue groupVo)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.